Subject: Re: less, misbehaving
From: [email-masked] (Charles Wilson)

6 Oct 1998 04:41:47 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: Geoffrey Noer <[email-masked]>

Well, I've tried many of the suggestions given concerning this problems, but
the only thing that has changed is the description of the symptoms. Sorry
for the length of this post; you can scan for '------' to get the major
points.
--------
Recommendation 1 (Earnie Boyd): TERM=linux
    I already had this.
--------
Recommendation 2 (Jeff Sturm & Larry Hall): get latest cygwinb19.dll from
Sergey's site, and recompile ncurses and less myself, as both build easily
OOB.
    I already had latest dll, but ncurses didn't compile. I got 4.2 from the
canonical site, ftp://www.clark.net/pub/dickey/ncurses/...  Here's a quick
transcript snippet from configure / make:
configure:
<snip>
creating Makefile
creating include/ncurses_cfg.h
sed: Unknown option to 's'
Appending rules for normal model (ncurses)
Appending rules for debug model (ncurses)
sed: Unknown option to 's'
Appending rules for normal model (progs)
Appending rules for debug model (progs)
sed: Unknown option to 's'
Appending rules for normal model (panel)
Appending rules for debug model (panel)
sed: Unknown option to 's'
Appending rules for normal model (menu)
Appending rules for debug model (menu)
sed: Unknown option to 's'
Appending rules for normal model (form)
Appending rules for debug model (form)
sed: Unknown option to 's'
Appending rules for normal model (test)
Appending rules for debug model (test)
sed: Unknown option to 's'
Appending rules for normal model (c++)
Appending rules for debug model (c++)
creating headers.sh

** Configuration summary for NCURSES 4.2 980228:

      bin directory: /usr/local/bin
      lib directory: /usr/local/lib
  include directory: /usr/local/include
      man directory: /usr/local/man
 terminfo directory: /usr/local/share/terminfo

--I don't speak 'sed' so I can't debug this...

and from make:
/usr/local/src/ncurses-4.2/ make
cd man && make --unix INSTALL_PREFIX="" all
sh ./MKterminfo.sh ./terminfo.head ./../include/Caps ./terminfo.tail
>terminfo.5
cd include && make --unix INSTALL_PREFIX="" all
sh ./MKhashsize.sh ./Caps >hashsize.h
AWK=gawk sh ./MKparametrized.sh ./Caps >parametrized.h
gawk -f MKterm.h.awk ./Caps > term.h
sh ./edit_cfg.sh ../include/ncurses_cfg.h term.h
** edit: HAVE_TCGETATTR
** edit: HAVE_TERMIOS_H
** edit: HAVE_TERMIO_H
** edit: NCURSES_CONST
** edit: BROKEN_LINKER
cd ncurses && make --unix INSTALL_PREFIX="" all
make[1]: *** No rule to make target `all'.  Stop.
make: *** [all] Error 2

Hey, wait a minute, I didn't say "make all" so stop whining about no "all"
target. I just said "make."  Oh well.
-------------
Recommendation 3 (Jan Tomasek): type 'cat file.name | less'
    this seems to work without bombing. But why? Other people don't have to
resort to this, so what's wrong with my setup? (and Jan's, too)
-------------
Recommendation 4 (Earnie Boyd): use a different precompiled port of
ncurses/less
    haven't tried this yet, but will do so soon.
-------------
Change in my assessment of behavior:
    The pattern I described with shortfiles and longfiles is bunk. More
experimentation showed there is no pattern that I can see. Sometimes less
bombs on short files, sometimes on long files, and sometimes it doesn't
bomb. As Jan reported, 'cat file.name | less' seems to work fine. If nothing
else works, I'll put a function in my .bashrc to do this as a workaround. If
anybody has anymore suggestions, I'll take 'em, and I'll let you know if
using a different port fixes the problem.

****Andy: does your port of ncurses / less / vim use terminfo, termcap, or a
terminfo with a fallback to termcap?

--Chuck

Charles Wilson wrote:

> I'm having some wierd problems with less, and I don't know if it's my
> environment settings, or my ncurses library, or what. I'm using less
> v332 from andy's local.tar.
>
> Less operates as expected, until I try to view a file with less than a
> full screen of data. If I execute 'less shortfile', the file is
> displayed in the terminal window, followed by the message: '[1]+
> Stopped    less shortfile'
>
> >From that point on, all (?) interactive console mode programs misbehave.
> When invoking less on a file with _more_ than a full screen of data,
> e.g. 'less longfile', the first screen worth of data is displayed
> followed by '[2]+ Stopped    less longfile'. (This identical command
> worked fine _before_ my 'mistake' with shortfile)  Ditto with vi, or
> hexedit. I can always bring the executable back to the foreground, and
> things seem to work okay after that, but this is annoying.
>
> Does anybody know what's going on? My cygwin variable is 'tty notitle
> ntea binmode'
>
> --Chuck Wilson
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".